#Region "Copyright (C) 2013 James D Westoby"

'Copyright (C) 2013 James D Westoby
'
' This Program is free software you can redistribute it and/or modify
' it under the terms of the GNU General Public License as published by
' the Free Software Foundation either version 2, or (at your option)
' any later version.
'  
' This Program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
' GNU General Public License for more details.
'  
' You should have received a copy of the GNU General Public License
' along with GNU Make see the file COPYING.  If not, write to
' the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA. 
' http:'www.gnu.org/copyleft/gpl.html

#End Region

Imports System

Imports MediaPortal.Dialogs
Imports MediaPortal.GUI.Library
 


Namespace ClockPlugin
    Public Class ClockConfig
        Inherits GUIWindow

        <SkinControl(11)> Protected buttonSave As GUIButtonControl = Nothing

        <SkinControl(21)> Protected buttonChime As GUICheckButton = Nothing
        <SkinControl(22)> Protected buttonDateFormat As GUIButtonControl = Nothing
        <SkinControl(23)> Protected buttonMeridian As GUICheckButton = Nothing
        <SkinControl(24)> Protected buttonTimeFormat As GUIButtonControl = Nothing
        <SkinControl(25)> Protected buttonTimeoutBright As GUIButtonControl = Nothing
        <SkinControl(26)> Protected buttonTimeoutDim As GUIButtonControl = Nothing

        Private myCommon As ClockCommon = Nothing   'access common routines, values etc.



#Region "ISetupFormMembers"

        Public Function Author() As String
            Return ("James D Westoby")
        End Function


        Public Function Description() As String
            Return ("Clock Plugin Config")
        End Function


        Public Function CanEnable() As Boolean
            Return (False)
        End Function


        Public Function DefaultEnabled() As Boolean
            Return (False)
        End Function


        Public Function GetHome(ByRef strButtonText As String, ByRef strButtonImage As String, ByRef strButtonImageFocus As String, ByRef strPictureImage As String) As Boolean
            strButtonText = String.Empty
            strButtonImage = String.Empty
            strButtonImageFocus = String.Empty
            strButtonImage = String.Empty
            strPictureImage = String.Empty
            Return (False)
        End Function


        Public Overrides Property GetID() As Integer
            Get
                Return (GetWindowId())
            End Get
            Set(ByVal value As Integer)
                'donothing
            End Set
        End Property


        Public Function GetWindowId() As Integer
            Return (ClockCommon.ConfigForm)
        End Function


        Public Function HasSetup() As Boolean
            Return (True)
        End Function


        Public Function PluginName() As String
            Return ("ClockConfig")
        End Function


        Public Sub ShowPlugin()
            'configure inside MediaPortal
        End Sub

#End Region


#Region "Override methods"

        Public Overrides Function Init() As Boolean
            myCommon = New ClockCommon(GetWindowId())

            Return (Load(GUIGraphicsContext.Skin & ClockCommon.ConfigSkin))
        End Function


        Protected Overrides Sub OnClicked(ByVal controlId As Integer, ByVal control As GUIControl, ByVal actionType As MediaPortal.GUI.Library.Action.ActionType)
            Try
                If (control Is buttonSave) Then OnButtonSave()

                If (control Is buttonMeridian) Then myCommon.Meridian = buttonMeridian.Selected
                If (control Is buttonChime) Then myCommon.Chime = buttonChime.Selected
                If (control Is buttonDateFormat) Then myCommon.DateFormat = myCommon.EnterRequest(myCommon.DateFormat)
                If (control Is buttonTimeFormat) Then myCommon.TimeFormat = myCommon.EnterRequest(myCommon.TimeFormat)
                If (control Is buttonTimeoutBright) Then myCommon.TimeoutBright = CInt(myCommon.EnterRequest("" & myCommon.TimeoutBright))
                If (control Is buttonTimeoutDim) Then myCommon.TimeoutDim = CInt(myCommon.EnterRequest("" & myCommon.TimeoutDim))
            Catch ex As Exception
                'donothing, failed though!
            End Try

            MyBase.OnClicked(controlId, control, actionType)
        End Sub


        Protected Overrides Sub OnPageLoad()
            'now see if it has been configured
            myCommon.ConfigLoad()

            buttonSave.Label = myCommon.Text("Save")

            buttonMeridian.Label = myCommon.Text("AM/PM")
            buttonChime.Label = myCommon.Text("Chime")
            buttonDateFormat.Label = myCommon.Text("Date Format")
            buttonTimeFormat.Label = myCommon.Text("Time Format")
            buttonTimeoutBright.Label = myCommon.Text("Timeout Bright")
            buttonTimeoutDim.Label = myCommon.Text("Timeout Dim")

            buttonMeridian.Selected = myCommon.Meridian
            buttonChime.Selected = myCommon.Chime
            MyBase.OnPageLoad()
        End Sub

#End Region


#Region "Private methods"

        Private Sub OnButtonSave()
            myCommon.ConfigSave()
            GUIWindowManager.ShowPreviousWindow()
        End Sub

#End Region

    End Class

End Namespace
